export interface BaseStationInfoVO {
  /**
   * 主键标识
   */
  stationId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 工位编号
   */
  stationCode: string;

  /**
   * 工位名称
   */
  stationName: string;

  /**
   * 工位类型(1生产工位 2质检工位)
   */
  stationType: string;

  /**
   * 所属工序
   */
  processId: string | number;

  /**
   * 单位生产时间（秒）
   */
  productionTime: number;

  /**
   * AGV编号
   */
  agvCode: string;

  /**
   * IP地址
   */
  ipAddress: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

}

export interface BaseStationInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  stationId?: string | number;

  /**
   * 工位编号
   */
  stationCode?: string;

  /**
   * 工位名称
   */
  stationName?: string;

  /**
   * 工位类型(1生产工位 2质检工位)
   */
  stationType?: string;

  /**
   * 所属工序
   */
  processId?: string | number;

  /**
   * 单位生产时间（秒）
   */
  productionTime?: number;

  /**
   * AGV编号
   */
  agvCode?: string;

  /**
   * IP地址
   */
  ipAddress?: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 机台Id
   */
  machineId?: string | number;

  productionTimeDays?: number;
  productionTimeHours?: number;
  productionTimeMinutes?: number;

}

export interface BaseStationInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  stationId?: string | number;

  /**
   * 工位编号
   */
  stationCode?: string;

  /**
   * 工位名称
   */
  stationName?: string;

  /**
   * 工位类型(1生产工位 2质检工位)
   */
  stationType?: string;

  /**
   * 所属工序
   */
  processId?: string | number;

  /**
   * 单位生产时间（秒）
   */
  productionTime?: number;

  /**
   * AGV编号
   */
  agvCode?: string;

  /**
   * IP地址
   */
  ipAddress?: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



