export interface BaseStructureBomVO {
  /**
   * 主键标识
   */
  structureBomId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 父级标识
   */
  parentId: string | number;

  /**
   * 物料类型ID
   */
  materialTypeId: string | number;

  /**
   * 物料类型名称
   */
  materialTypeName: string;

  /**
   * 结构BOM说明
   */
  structureBomDesc: string;

  /**
   * 结构BOM版本
   */
  structureBomVersion: string;

  /**
   * 祖级列表
   */
  ancestors: string;

  /**
   * 层级
   */
  level: number;

  /**
   * 顶级标识(1是 0否)
   */
  topFlag: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

  /**
   * 子对象
   */
  children: BaseStructureBomVO[];
}

export interface BaseStructureBomForm extends BaseEntity {
  /**
   * 主键标识
   */
  structureBomId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 物料类型ID
   */
  materialTypeId?: string | number;

  /**
   * 物料类型名称
   */
  materialTypeName?: string;

  /**
   * 结构BOM说明
   */
  structureBomDesc?: string;

  /**
   * 结构BOM版本
   */
  structureBomVersion?: string;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 层级
   */
  level?: number;

  /**
   * 顶级标识(1是 0否)
   */
  topFlag?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface BaseStructureBomQuery {

  /**
   * 主键标识
   */
  structureBomId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 物料类型ID
   */
  materialTypeId?: string | number;

  /**
   * 物料类型名称
   */
  materialTypeName?: string;

  /**
   * 结构BOM说明
   */
  structureBomDesc?: string;

  /**
   * 结构BOM版本
   */
  structureBomVersion?: string;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 层级
   */
  level?: number;

  /**
   * 顶级标识(1是 0否)
   */
  topFlag?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 日期范围参数
   */
  params?: any;

  /**
   * 物料类型名称
   */
  materialTypeCode?: string;
}


export interface BaseStructureBomTreeVO {
  /**
   * 主键标识
   */
  id: string | number;

  /**
   * 父级标识
   */
  parentId: string | number;

  /**
   * 物料类型ID
   */
  materialTypeId: string | number;

  /**
   * 物料类型名称
   */
  label: string;

  /**
   * 子集
   */
  children: [];

}
