export interface BaseToolingInfoVO {
  /**
   * 主键标识
   */
  toolingId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 工装编号
   */
  toolingCode: string;

  /**
   * 工装名称
   */
  toolingName: string;

  /**
   * 工装类型（用字典）
   */
  toolingTypeCode: string;

  /**
   * 工装规格（用字典）
   */
  toolingSpecCode: string;

  /**
   * 工装条码
   */
  toolingBarcode: string;

  /**
   * 工装RFID条码
   */
  toolingRfidBarcode: string | number;

  /**
   * 物料编号
   */
  materialCode: string;

  /**
   * 重量
   */
  weight: number;

  /**
   * 备注
   */
  remark: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

}

export interface BaseToolingInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  toolingId?: string | number;

  /**
   * 工装编号
   */
  toolingCode?: string;

  /**
   * 工装名称
   */
  toolingName?: string;

  /**
   * 工装类型（用字典）
   */
  toolingTypeCode?: string;

  /**
   * 工装规格（用字典）
   */
  toolingSpecCode?: string;

  /**
   * 工装条码
   */
  toolingBarcode?: string;

  /**
   * 工装RFID条码
   */
  toolingRfidBarcode?: string | number;

  /**
   * 物料编号
   */
  materialCode?: string;

  /**
   * 重量
   */
  weight?: number;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

}

export interface BaseToolingInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  toolingId?: string | number;

  /**
   * 工装编号
   */
  toolingCode?: string;

  /**
   * 工装名称
   */
  toolingName?: string;

  /**
   * 工装类型（用字典）
   */
  toolingTypeCode?: string;

  /**
   * 工装规格（用字典）
   */
  toolingSpecCode?: string;

  /**
   * 工装条码
   */
  toolingBarcode?: string;

  /**
   * 工装RFID条码
   */
  toolingRfidBarcode?: string | number;

  /**
   * 物料编号
   */
  materialCode?: string;

  /**
   * 重量
   */
  weight?: number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



