export interface ProductPlanDetailVO {
  /**
   * 主键标识
   */
  planDetailId: string | number;

  /**
   * 明细编号
   */
  planDetailCode: string;

  /**
   * 生产计划ID
   */
  planId: string | number;

  /**
   * 计划编号
   */
  planCode: string;

  /**
   * 操作人员ID;多个人,分隔
   */
  userId: string | number;

  /**
   * 操作人员名称;多个人,分隔
   */
  userName: string;

  /**
   * 班次ID
   */
  classesId: string | number;

  /**
   * 班组ID
   */
  teamId: string | number;

  /**
   * 完成数量
   */
  completeAmount: number;

  /**
   * 单位ID
   */
  unitId: string | number;

  /**
   * 单位名称
   */
  unitName: string;

  /**
   * 实际开始时间
   */
  realBeginTime: string;

  /**
   * 实际完成时间
   */
  realEndTime: string;

  /**
   * 附件信息
   */
  attachId: string | number;

  /**
   * 物料条码
   */
  materialBarcode: string;

  /**
   * 流转条码;条形码
   */
  returnBarcode: string;

  /**
   * 车次（顺序）
   */
  trainNumber: number;

  /**
   * 工装ID;托盘ID;台车ID
   */
  toolingId: string | number;

  /**
   * 胶囊ID
   */
  capsuleId: string | number;

  /**
   * 接班ID
   */
  shiftChangeId: string | number;

  /**
   * 半制品明细ID
   */
  sfpDetailId: string | number;

  /**
   * 成型明细ID
   */
  formingDetailId: string | number;

  /**
   * 硫化明细ID
   */
  vulDetailId: string | number;

  /**
   * 明细状态（1未开始 2已开始 3已完成 9异常完成）
   */
  planDetailStatus: string;

  /**
   * 首件标识（1是 0否）
   */
  firstFlag: string;

  /**
   * 报警胎标识（1是 0否）
   */
  alarmFlag: string;

  /**
   * 补录标识（1是 0否）
   */
  suppleFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface ProductPlanDetailForm extends BaseEntity {
  /**
   * 主键标识
   */
  planDetailId?: string | number;

  /**
   * 明细编号
   */
  planDetailCode?: string;

  /**
   * 生产计划ID
   */
  planId?: string | number;

  /**
   * 计划编号
   */
  planCode?: string;

  /**
   * 操作人员ID;多个人,分隔
   */
  userId?: string | number;

  /**
   * 操作人员名称;多个人,分隔
   */
  userName?: string;

  /**
   * 班次ID
   */
  classesId?: string | number;

  /**
   * 班组ID
   */
  teamId?: string | number;

  /**
   * 完成数量
   */
  completeAmount?: number;

  /**
   * 单位ID
   */
  unitId?: string | number;

  /**
   * 单位名称
   */
  unitName?: string;

  /**
   * 实际开始时间
   */
  realBeginTime?: string;

  /**
   * 实际完成时间
   */
  realEndTime?: string;

  /**
   * 附件信息
   */
  attachId?: string | number;

  /**
   * 物料条码
   */
  materialBarcode?: string;

  /**
   * 流转条码;条形码
   */
  returnBarcode?: string;

  /**
   * 车次（顺序）
   */
  trainNumber?: number;

  /**
   * 工装ID;托盘ID;台车ID
   */
  toolingId?: string | number;

  /**
   * 胶囊ID
   */
  capsuleId?: string | number;

  /**
   * 接班ID
   */
  shiftChangeId?: string | number;

  /**
   * 半制品明细ID
   */
  sfpDetailId?: string | number;

  /**
   * 成型明细ID
   */
  formingDetailId?: string | number;

  /**
   * 硫化明细ID
   */
  vulDetailId?: string | number;

  /**
   * 明细状态（1未开始 2已开始 3已完成 9异常完成）
   */
  planDetailStatus?: string;

  /**
   * 首件标识（1是 0否）
   */
  firstFlag?: string;

  /**
   * 报警胎标识（1是 0否）
   */
  alarmFlag?: string;

  /**
   * 补录标识（1是 0否）
   */
  suppleFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  workshopId?: string | number;

}

export interface ProductPlanDetailQuery extends PageQuery {

  /**
   * 主键标识
   */
  planDetailId?: string | number;

  /**
   * 明细编号
   */
  planDetailCode?: string;

  /**
   * 生产计划ID
   */
  planId?: string | number;

  /**
   * 计划编号
   */
  planCode?: string;

  /**
   * 操作人员ID;多个人,分隔
   */
  userId?: string | number;

  /**
   * 操作人员名称;多个人,分隔
   */
  userName?: string;

  /**
   * 班次ID
   */
  classesId?: string | number;

  /**
   * 班组ID
   */
  teamId?: string | number;

  /**
   * 完成数量
   */
  completeAmount?: number;

  /**
   * 单位ID
   */
  unitId?: string | number;

  /**
   * 单位名称
   */
  unitName?: string;

  /**
   * 实际开始时间
   */
  realBeginTime?: string;

  /**
   * 实际完成时间
   */
  realEndTime?: string;

  /**
   * 附件信息
   */
  attachId?: string | number;

  /**
   * 物料条码
   */
  materialBarcode?: string;

  /**
   * 流转条码;条形码
   */
  returnBarcode?: string;

  /**
   * 车次（顺序）
   */
  trainNumber?: number;

  /**
   * 工装ID;托盘ID;台车ID
   */
  toolingId?: string | number;

  /**
   * 胶囊ID
   */
  capsuleId?: string | number;

  /**
   * 接班ID
   */
  shiftChangeId?: string | number;

  /**
   * 半制品明细ID
   */
  sfpDetailId?: string | number;

  /**
   * 成型明细ID
   */
  formingDetailId?: string | number;

  /**
   * 硫化明细ID
   */
  vulDetailId?: string | number;

  /**
   * 明细状态（1未开始 2已开始 3已完成 9异常完成）
   */
  planDetailStatus?: string;

  /**
   * 首件标识（1是 0否）
   */
  firstFlag?: string;

  /**
   * 报警胎标识（1是 0否）
   */
  alarmFlag?: string;

  /**
   * 补录标识（1是 0否）
   */
  suppleFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



