export interface TechnologyStepInfoVO {
  /**
   * 主键标识
   */
  stepId: string | number;

  /**
   * 工艺ID
   */
  technologyId: string | number;

  /**
   * 步序编号
   */
  stepCode: number;

  /**
   * 步序名称
   */
  stepName: string;

  /**
   * 步序时间（秒）
   */
  stepTime: number;

  /**
   * 步序参数
   */
  stepParameter: string;

  /**
   * 阀门状态
   */
  valueState: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface TechnologyStepInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  stepId?: string | number;

  /**
   * 工艺ID
   */
  technologyId?: string | number;

  /**
   * 步序编号
   */
  stepCode?: number;

  /**
   * 步序名称
   */
  stepName?: string;

  /**
   * 步序时间（秒）
   */
  stepTime?: number;

  /**
   * 步序参数
   */
  stepParameter?: string;

  /**
   * 阀门状态
   */
  valueState?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface TechnologyStepInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  stepId?: string | number;

  /**
   * 工艺ID
   */
  technologyId?: string | number;

  /**
   * 步序编号
   */
  stepCode?: number;

  /**
   * 步序名称
   */
  stepName?: string;

  /**
   * 步序时间（秒）
   */
  stepTime?: number;

  /**
   * 步序参数
   */
  stepParameter?: string;

  /**
   * 阀门状态
   */
  valueState?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



