export interface MasterDataVO {
  /**
   * 主键标识
   */
  masterDataId: string | number;

  /**
   * 所属模块（1MES 2WMS 3DMS 4QMS 5EMS）
   */
  moduleType: string;

  /**
   * 父级标识;（1是 0否）
   */
  parentFlag: string;

  /**
   * 菜单ID
   */
  menuId: string | number;

  /**
   * 路由参数
   */
  queryParam: string;

  /**
   * 主数据标题;例：品牌、层级、花纹
   */
  masterDataTitle: string;

  /**
   * 预留字段1名称
   */
  fieldName1: string;

  /**
   * 预留字段1显示标识;（1是 0否）
   */
  displayFlag1: string;

  /**
   * 预留字段2名称
   */
  fieldName2: string;

  /**
   * 预留字段2显示标识;（1是 0否）
   */
  displayFlag2: string;

  /**
   * 预留字段3名称
   */
  fieldName3: string;

  /**
   * 预留字段3显示标识;（1是 0否）
   */
  displayFlag3: string;

  /**
   * 预留字段4名称
   */
  fieldName4: string;

  /**
   * 预留字段4显示标识;（1是 0否）
   */
  displayFlag4: string;

  /**
   * 预留字段5名称
   */
  fieldName5: string;

  /**
   * 预留字段5显示标识;（1是 0否）
   */
  displayFlag5: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

}

export interface MasterDataForm extends BaseEntity {
  /**
   * 主键标识
   */
  masterDataId?: string | number;

  /**
   * 所属模块（1MES 2WMS 3DMS 4QMS 5EMS）
   */
  moduleType?: string;

  /**
   * 父级标识;（1是 0否）
   */
  parentFlag?: string;

  /**
   * 菜单ID
   */
  menuId?: string | number;

  /**
   * 路由参数
   */
  queryParam?: string;

  /**
   * 主数据标题;例：品牌、层级、花纹
   */
  masterDataTitle?: string;

  /**
   * 预留字段1名称
   */
  fieldName1?: string;

  /**
   * 预留字段1显示标识;（1是 0否）
   */
  displayFlag1?: string;

  /**
   * 预留字段2名称
   */
  fieldName2?: string;

  /**
   * 预留字段2显示标识;（1是 0否）
   */
  displayFlag2?: string;

  /**
   * 预留字段3名称
   */
  fieldName3?: string;

  /**
   * 预留字段3显示标识;（1是 0否）
   */
  displayFlag3?: string;

  /**
   * 预留字段4名称
   */
  fieldName4?: string;

  /**
   * 预留字段4显示标识;（1是 0否）
   */
  displayFlag4?: string;

  /**
   * 预留字段5名称
   */
  fieldName5?: string;

  /**
   * 预留字段5显示标识;（1是 0否）
   */
  displayFlag5?: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface MasterDataQuery extends PageQuery {

  /**
   * 主键标识
   */
  masterDataId?: string | number;

  /**
   * 所属模块（1MES 2WMS 3DMS 4QMS 5EMS）
   */
  moduleType?: string;

  /**
   * 父级标识;（1是 0否）
   */
  parentFlag?: string;

  /**
   * 菜单ID
   */
  menuId?: string | number;

  /**
   * 路由参数
   */
  queryParam?: string;

  /**
   * 主数据标题;例：品牌、层级、花纹
   */
  masterDataTitle?: string;

  /**
   * 预留字段1名称
   */
  fieldName1?: string;

  /**
   * 预留字段1显示标识;（1是 0否）
   */
  displayFlag1?: string;

  /**
   * 预留字段2名称
   */
  fieldName2?: string;

  /**
   * 预留字段2显示标识;（1是 0否）
   */
  displayFlag2?: string;

  /**
   * 预留字段3名称
   */
  fieldName3?: string;

  /**
   * 预留字段3显示标识;（1是 0否）
   */
  displayFlag3?: string;

  /**
   * 预留字段4名称
   */
  fieldName4?: string;

  /**
   * 预留字段4显示标识;（1是 0否）
   */
  displayFlag4?: string;

  /**
   * 预留字段5名称
   */
  fieldName5?: string;

  /**
   * 预留字段5显示标识;（1是 0否）
   */
  displayFlag5?: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



